Subject: Re: Job | Project ,Manager remote screening
From: Supriyo Chakraborty <[email-masked]>
To: [email-masked]
Date: Wed, 17 Feb 2021 20:09:34 +0530

Not able to view Details? Learn More

Job Title
Job | Project ,Manager remote screening

622 Applicants

View All

Supriyo Chakraborty
I have done graduation in Commerce from IGNOU. Have worked my entire career in BPO sector. Started my career as a CSA for Wipro and then in 4 years been promoted as Team Leader operation. I have handle both International and Domestic clients and customers in my career. I have worked for voice and non-voice process. I have handled transition for 2 LOB for my last organization. Also have vast knowledge in HR, transport and admin as i have worked closely with them while handling transition. I have been a part of training domain for almost 11 months where i have trained professionals and groomed them over soft skills. I want to continue my career in BPO industry and grow.

Shortlist

Reject

Current Designation Team Leader Operations
Current Company Tech Mahindra
Notice Period 15 Days or less
Previous Designation Team Leader Operations
Previous Company Tech Mahindra

Contact Details
Mobile:

Exp
4 Yrs 3 M

CTC

Location

Not Able to View Details? Learn More
Preferred Location: Kolkata
Education
B.Com
Indira Gandhi National Open University (IGNOU)
Key Skills
BPO, Team Management, Customer Service, Operations Management, People Management, Non Voice Process, Call Center, ITES, KPO, Team Leading, Process Management, Customer Handling, Customer Support, Customer Care, Operations, Process Transition

Shortlist

Reject

You can call us at 1800 102 5558 and mail us at  [email-masked]

Report a problem